nlohmann::detail::is_constructible_string_type_impl< BasicJsonType, ConstructibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, ConstructibleStringType >::value > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::is_constructible_string_type_impl< BasicJsonType, ConstructibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, ConstructibleStringType >::value > >:

## Static Public Attributes

static constexpr auto | value

## Detailed Description

### template<typename BasicJsonType, typename ConstructibleStringType>
struct nlohmann::detail::is_constructible_string_type_impl< BasicJsonType, ConstructibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, ConstructibleStringType >::value > >

Definition at line 3702 of file json.hpp.

## Member Data Documentation

## value

template<typename BasicJsonType , typename ConstructibleStringType >

constexpr auto nlohmann::detail::is_constructible_string_type_impl< BasicJsonType, ConstructibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, ConstructibleStringType >::value > >::value

static

Initial value:
=
is_constructible<ConstructibleStringType,
typename BasicJsonType::string_t>::value

Definition at line 3707 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp